org.jboss.jca.as.converters

## Enum NoTxConnectionFactory.Tag

- java.lang.Object
- - java.lang.Enum<NoTxConnectionFactory.Tag>
  - - org.jboss.jca.as.converters.NoTxConnectionFactory.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NoTxConnectionFactory.Tag>
  Enclosing interface:
    NoTxConnectionFactory

      public static enum NoTxConnectionFactory.Tag
      extends java.lang.Enum<NoTxConnectionFactory.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOCATION_RETRY` allocationRetry tag
    `ALLOCATION_RETRY_WAIT_MILLIS` allocationRetryWaitMillis tag
    `BACKGROUND_VALIDATION` backgroundValidation tag
    `BACKGROUND_VALIDATION_MILLIS` backgroundValidationMillis tag
    `BLOCKING_TIMEOUT_MILLIS` blockingTimeoutMillis tag
    `CONFIG_PROPERTY` config-property tag
    `CONNECTION_DEFINITION` connection-definition tag
    `IDLE_TIMEOUT_MINUTES` idleTimeoutMinutes tag
    `JNDI_NAME` jndiName tag
    `MAX_POOL_SIZE` maxPoolSize tag
    `MIN_POOL_SIZE` min-pool-size tag
    `PREFILL` prefill tag
    `RAR_NAME` rar-name tag
    `SECURITY_DOMAIN` security-domain tag
    `SECURITY_DOMAIN_AND_APPLICATION` security-domain-and-application tag
    `UNKNOWN` always first
    `USE_FAST_FAIL` useFastFail tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoTxConnectionFactory.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static NoTxConnectionFactory.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NoTxConnectionFactory.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final NoTxConnectionFactory.Tag UNKNOWN

      always first

    - #### RAR_NAME

          public static final NoTxConnectionFactory.Tag RAR_NAME

      rar-name tag

    - #### CONNECTION_DEFINITION

          public static final NoTxConnectionFactory.Tag CONNECTION_DEFINITION

      connection-definition tag

    - #### CONFIG_PROPERTY

          public static final NoTxConnectionFactory.Tag CONFIG_PROPERTY

      config-property tag

    - #### JNDI_NAME

          public static final NoTxConnectionFactory.Tag JNDI_NAME

      jndiName tag

    - #### SECURITY_DOMAIN

          public static final NoTxConnectionFactory.Tag SECURITY_DOMAIN

      security-domain tag

    - #### SECURITY_DOMAIN_AND_APPLICATION

          public static final NoTxConnectionFactory.Tag SECURITY_DOMAIN_AND_APPLICATION

      security-domain-and-application tag

    - #### MIN_POOL_SIZE

          public static final NoTxConnectionFactory.Tag MIN_POOL_SIZE

      min-pool-size tag

    - #### MAX_POOL_SIZE

          public static final NoTxConnectionFactory.Tag MAX_POOL_SIZE

      maxPoolSize tag

    - #### BLOCKING_TIMEOUT_MILLIS

          public static final NoTxConnectionFactory.Tag BLOCKING_TIMEOUT_MILLIS

      blockingTimeoutMillis tag

    - #### BACKGROUND_VALIDATION

          public static final NoTxConnectionFactory.Tag BACKGROUND_VALIDATION

      backgroundValidation tag

    - #### BACKGROUND_VALIDATION_MILLIS

          public static final NoTxConnectionFactory.Tag BACKGROUND_VALIDATION_MILLIS

      backgroundValidationMillis tag

    - #### IDLE_TIMEOUT_MINUTES

          public static final NoTxConnectionFactory.Tag IDLE_TIMEOUT_MINUTES

      idleTimeoutMinutes tag

    - #### ALLOCATION_RETRY

          public static final NoTxConnectionFactory.Tag ALLOCATION_RETRY

      allocationRetry tag

    - #### ALLOCATION_RETRY_WAIT_MILLIS

          public static final NoTxConnectionFactory.Tag ALLOCATION_RETRY_WAIT_MILLIS

      allocationRetryWaitMillis tag

    - #### PREFILL

          public static final NoTxConnectionFactory.Tag PREFILL

      prefill tag

    - #### USE_FAST_FAIL

          public static final NoTxConnectionFactory.Tag USE_FAST_FAIL

      useFastFail tag

  - ### Method Detail

    - #### values

          public static NoTxConnectionFactory.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoTxConnectionFactory.Tag c : NoTxConnectionFactory.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoTxConnectionFactory.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<NoTxConnectionFactory.Tag>`

    - #### forName

          public static NoTxConnectionFactory.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)